:root {
  --brand-color: #5C68D9;
}

._dash-loading {
  display: none !important;
}

.ui-card {
  border: 1px solid #AFB3EA !important;
  border-radius: 0.75rem !important;
}

.ui-skeleton::before {
  background-color: #AFB3EA !important;
}

.ui-value-card {
  padding-left: 1.8rem !important;
  padding-right: 1.8rem !important;
}

.ui-value-card-content {
  display: flex;
  align-items: center;
  gap: 2rem;
  height: 100%;
}

.ui-value-card-text {
  display: flex;
  flex-direction: column;
  gap: 0.1rem;
}

.ui-value-card-title {
  font-weight: 700;
  font-size: 0.8rem;
}

.ui-value-card-value {
  font-weight: 700;
  font-size: 1.7rem;
}

.ui-value-card-subvalue {
  font-weight: 600;
  font-size: 0.85rem;
}

.ui-value-card-icon {
  width: 75px;
  height: 75px;
}

.ui-value-card-icon[src=""] {
  visibility: hidden;
}

.ui-value-card-loading .dash-spinner {
  transform: translateX(50px);
}

.mantine-Carousel-indicator {
  width: 20px;
  height: 5px;
  transition: opacity 0.2s ease;
}

.ui-chip .mantine-Chip-label {
  font-weight: 600 !important;
  width: 110px;
  box-sizing: border-box;
}

.ui-chip .mantine-Chip-label:hover {
  background-color: var(--brand-color) !important;
}

.ui-chip input:not(:checked) + .mantine-Chip-label {
  background-color: var(--brand-color) !important;
  color: #C1C7FD !important;
  padding-left: 1.875rem !important;
  position: relative;
}

.ui-chip input:not(:checked) + .mantine-Chip-label::before {
  background-color: #8690E9;
  border-radius: 50%;
  content: "";
  height: 8px;
  width: 8px;
  left: 0.63rem;
  position: absolute;
}

.ui-chip input:checked + .mantine-Chip-label {
  color: white !important;
}

.ui-chip input:disabled + .mantine-Chip-label {
  cursor: default;
}

.ui-advice-feedback-count {
  align-self: flex-end;
  position: relative;
  margin-top: 5px;
  margin-right: 10px;
}

.ui-advice-feedback-count-icon {
  width: 70px;
  height: 50px;
}

.ui-advice-feedback-count-value {
  font-weight: 600;
  font-size: 0.9rem;
  letter-spacing: -0.4px;
  color: white;
  top: 0;
  left: 0;
  width: 42px;
  line-height: 35px;
  text-align: center;
  position: absolute;
}

.ui-advice-description {
  padding-left: 25px;
  padding-right: 25px;
  box-sizing: border-box;
  width: 100%;
  height: 70px;
}

.ui-advice-unit-icon {
  align-self: flex-start;
  flex: 0 0 65px;
  width: 65px;
  height: 50px;
  object-fit: cover;
  object-position: center;
}

.ui-advice-unit-icon[src=""] {
  visibility: hidden;
}

.ui-advice-text {
  font-weight: 600;
  font-size: 1.05rem;
  font-family: "Avenir Next", Avenir;
  color: var(--brand-color);
  padding-top: 14px;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 2;
  line-clamp: 2;
  overflow: hidden;
}

.ui-advice-syllable-selector-button {
  font-weight: 600;
  font-size: 0.9rem;
  letter-spacing: 0.03em;
  color: var(--brand-color);
  padding: 0 34px;
  background-color: white;
  border-radius: 1rem;
  box-shadow: 1px 1px 1px 0 rgb(0 0 0 / 30%);
  width: 100%;
  height: 32px;
  margin-top: 8px;
}

.ui-advice-syllable-selector-dropdown {
  border: none;
  border-radius: 0.375rem;
  box-shadow: 1px 1px 1px 0 rgb(0 0 0 / 30%);
}

.ui-advice-user-comment {
  max-width: calc(100% - 40px);
  transform: translateX(20px);
  margin-top: 10px;
}

.ui-advice-user-comment-text .mantine-Textarea-label,
.ui-advice-feedback-text .mantine-Textarea-label {
  font-weight: 600;
  font-size: 0.75rem;
  color: var(--brand-color);
}

.ui-advice-user-comment-text .mantine-Textarea-input {
  font-weight: 500;
  font-size: 0.9rem;
  font-family: "Avenir Next", Avenir;
  color: #4C4C4C;
  background-color: #F7F7F7;
  border-color: #C1C6F1;
  border-radius: 0.75rem;
  min-height: 100px;
  max-height: 100px;
  overflow-y: auto;
  padding: 12px 16px;
}

.ui-advice-translate-button {
  transform: translateY(-5px);
}

.ui-advice-translate-button:disabled {
  cursor: default;
}

.ui-advice-translate-icon {
  width: auto;
  height: 65px;
}

.ui-advice-feedback {
  max-width: calc(100% - 40px);
  transform: translateX(20px);
}

.ui-advice-feedback-text .mantine-Textarea-input {
  font-weight: 500;
  font-size: 0.9rem;
  font-family: "Avenir Next", Avenir;
  color: var(--brand-color);
  background-color: #F7F7F7;
  border-color: #C1C6F1;
  border-radius: 0.75rem;
  min-height: 100px;
  max-height: 100px;
  overflow-y: auto;
  padding: 12px 16px;
}

.ui-advice-feedback-text-editable .mantine-Textarea-input {
  background-color: #EFF1FE;
}

.ui-advice-kurage-button {
  transform: translateY(-17px);
}

.ui-advice-kurage-button:disabled {
  cursor: default;
}

.ui-advice-kurage-icon {
  width: auto;
  height: 40px;
}

.ui-advice-send {
  letter-spacing: 0.03em;
  color: white;
  background-color: #6170F6;
  opacity: 0.3;
  border-radius: 1.25rem;
  height: 36px;
  margin-top: 5px;
  margin-right: 25px;
  align-self: flex-end;
}

.ui-advice-send:hover {
  background-color: #6170F6;
}

.ui-advice-send:active {
  transform: translateY(1.5px);
}

.ui-advice-send:disabled {
  cursor: default;
  transform: none;
}